spring:
  application:
    name: msg-center
  main:
    allow-bean-definition-overriding: true
  cloud:
    nacos:
      config:
        #nacos 服务地址
        server-addr: ${NACOS_HOST:https://dev-nacos.axzo.cn}:${NACOS_PORT:443}
        # 文件格式
        file-extension: yaml
        # 指定命名空间
        namespace: ${NACOS_NAMESPACE_ID:35eada10-9574-4db8-9fea-bc6a4960b6c7}
  #指定激活环境
  profiles:
    active: ${NACOS_PROFILES_ACTIVE:dev}
---
#测试环境
spring:
  config:
    activate:
      on-profile: test
  cloud:
    nacos:
      config:
        server-addr: ${NACOS_HOST:https://test-nacos.axzo.cn}:${NACOS_PORT:443}
        file-extension: yaml
        namespace: ${NACOS_NAMESPACE_ID:f3c0f0d2-bac4-4498-bee7-9c3636b3afdf}
---
#预发布环境
spring:
  config:
    activate:
      on-profile: pre
  cloud:
    nacos:
      config:
        server-addr: ${NACOS_HOST:https://pre-nacos.axzo.cn}:${NACOS_PORT:443}
        file-extension: yaml
        namespace: ${NACOS_NAMESPACE_ID:8b4cf725-7595-4c92-b2a6-9260a51ce078}
